#! /bin/csh -fe
#
#   Wedger Elves example background autoindexing script
#
/programs/ccp4-7.0/bin/ipmosflm HKLOUT  auto.mtz   \
         SPOTOD  auto.spotod \
         SUMMARY logs/autoindex.xlog    \
         COORDS  auto.coords << eof-ipmosflm
#
GENFILE auto.gen
#

# Detector parameters (range, quantum gain, etc.)
DETECTOR PILATUS

GAIN 1


# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.97951
DISPERSION    0.00014
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      450
BEAM          214.173 211.225
TWOTHETA      0
#
NEWMATRIX  auto.mat

# Crystal parameters
#CELL     KEEP 100 100 100 90 90 90
SYMMETRY      P3121
RESOLUTION 1.6
MOSAIC     1

# frame filename breakdown
DIRECTORY    /data3/anonymous/pub/ALS/831/1rb5
IDENTIFIER   1rb5_1_00
EXTENSION    .cbf
TEMPLATE 1rb5_1_00###.cbf
#
FINDSPOTS MINX 0.1 MINY 0.1 MAXX 5 MAXY 5 SPLIT 0.2 0.2
#
MOSAIC estimate

AUTOINDEX DPS THRESH 5 IMAGE 1 46 91 100 
#
go
#
eof-ipmosflm

