#! /bin/csh -f
#
#  Wedger Elves automatically generated mosflm script
#
# 
# option to integrate after refining
set integ = ""
if("$1" =~ integ*) set integ = ""
#
# temporary file prefix
set tempfile = ${CCP4_SCR}/mosflm_temp$$
set outfile  = raw.mtz
#
#
/programs/ccp4-7.0/bin/ipmosflm HKLOUT ${tempfile}.mtz	\
         SPOTOD  ${tempfile}.spotod	\
         SUMMARY logs/mosflm.xlog	\
         COORDS  ${tempfile}.coords << eof-ipmosflm
#
TITLE Raw data wedge from 1rb5_1_00###.cbf 1 to 100 at lambda= 0.97951
#
GENFILE ${tempfile}.gen
#
# the following keywords were not understood by Wedger Elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
DETECTOR PILATUS

GAIN 1


# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.97951
DISPERSION    0.00014
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      450.685
BEAM          214.189 211.212
TWOTHETA      0
MATRIX        best.mat
#MISSETS       0.004606 0.017919 0.023222 RESET
NEWMATRIX     postref.mat

# Crystal parameters
CELL          90.1631 90.1631 46.8539 90 90 120
SYMMETRY      P3121
RESOLUTION    1.75339
MOSAIC        0.665717

# Frame filename breakdown
DIRECTORY     /data3/anonymous/pub/ALS/831/1rb5
IDENTIFIER    1rb5_1_00
EXTENSION     .cbf
TEMPLATE 1rb5_1_00###.cbf
#
# To run mosflm interactively,
# uncomment the following lines (and DON'T redirect output)
#IMAGE 1 PHI 215 TO 216
#GO
#END
#PLOT
#
POSTREF ADD 30
REFI RESID 100
POSTREF FIX ALL
REFINE  FIX YSCALE
# Processing commands: 
PROCESS 1 to 100 START 215 ANGLE 1 ADD 0 BLOCK 45
GO
END

eof-ipmosflm
set mosflm_status = $status

# update mtz only after run is finished
if((! $mosflm_status)&&(-e ${tempfile}.mtz)&&("$integ" == "")) then 
    mv ${tempfile}.mtz ${outfile}
endif

# Life's messy, clean it up.
rm -f ${tempfile}.spotod >& /dev/null
rm -f ${tempfile}.coord  >& /dev/null
rm -f ${tempfile}.gen    >& /dev/null
rm -f ${tempfile}.mtz    >& /dev/null
ls fort* >& /dev/null
if(! $status) rm -f fort*


exit $mosflm_status
