#! /bin/csh -fe
#
#   Wedger Elves example STRATEGY session
#
/programs/ccp4-7.0/bin/ipmosflm HKLOUT strategy.mtz	    \
         SPOTOD  strategy.spotod   \
         SUMMARY logs/strategy.xlog    \
         COORDS  strategy.coords << eof-ipmosflm
#
GENFILE strategy.gen
#
# the following keywords were not understood by the Wedger elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
DETECTOR PILATUS

GAIN 1
LIMITS RMAX 500 YMAX 434.644 XMAX 423.636 XSCAN 423.636 YSCAN 434.644
PIXEL 0.172

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.97951
DISPERSION    0.00014
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      450
BEAM          214.173 211.225
TWOTHETA      0
MATRIX        auto.mat
#

# Crystal parameters
CELL          90.0858 90.0858 46.7685 90 90 120
SYMMETRY      P3121
RESOLUTION    2.1
MOSAIC        0.40

# Frame filename breakdown
DIRECTORY     /data3/anonymous/pub/ALS/831/1rb5
IDENTIFIER    1rb5_1_00
EXTENSION     .cbf
TEMPLATE 1rb5_1_00###.cbf
#
#
# un-comment the following lines to run strategy interactively
#IMAGE 1
#GO
#
# current strategy
#strategy start 215 end 315 speedup 1
strategy start 215 end 315
go
start 215 end 315
go
stats
end

# calculate best oscillation widths
SEPARATION 0.68 1.03
testgen start 215 end 315 minosc 1 overlap 3 maxosc 0.1
go

# best "next" strategy (given that "current" data are already collected)
strategy start 215 end 315 PARTS 2 
run
strategy auto
go
stats
end

# best, overall strategy
strategy auto
go
stats
end

# best, overall strategy for anomalous
strategy auto anomalous
go
stats
end

# calculate best oscillation widths
SEPARATION 0.68 1.03
testgen start 0 end 180 minosc 0.01 overlap 3 maxosc 0.1
go

eof-ipmosflm
